Loading...
Searching...
No Matches
websocketpp::log::stub Class Reference

Stub logger that ignores all input. More...

`#include <stub.hpp>`

## Public Member Functions

| stub (channel_type_hint::value)
| Construct the logger.
| stub (level, channel_type_hint::value)
| Construct the logger.
void | set_channels (level)
| Dynamically enable the given list of channels.
void | clear_channels (level)
| Dynamically disable the given list of channels.
void | write (level, std::string const &)
| Write a string message to the given channel.
void | write (level, char const *)
| Write a cstring message to the given channel.
_WEBSOCKETPP_CONSTEXPR_TOKEN_ bool | static_test (level) const
| Test whether a channel is statically enabled.
bool | dynamic_test (level)
| Test whether a channel is dynamically enabled.

## Detailed Description

Stub logger that ignores all input.

Definition at line 41 of file stub.hpp.

## Constructor & Destructor Documentation

## stub() [1/3]

websocketpp::log::stub::stub | ( | channel_type_hint::value |  | ) |

inline explicit

Construct the logger.

Parameters

  hint | A channel type specific hint for how to construct the logger

Definition at line 47 of file stub.hpp.

## stub() [2/3]

websocketpp::log::stub::stub | ( | level | ,
|  | channel_type_hint::value | )

inline

Construct the logger.

Parameters

  default_channels | A set of channels to statically enable
  hint | A channel type specific hint for how to construct the logger

Definition at line 54 of file stub.hpp.

## stub() [3/3]

_WEBSOCKETPP_CONSTEXPR_TOKEN_ websocketpp::log::stub::stub | ( |  | ) |

inline

Definition at line 55 of file stub.hpp.

## Member Function Documentation

## clear_channels()

void websocketpp::log::stub::clear_channels | ( | level |  | ) |

inline

Dynamically disable the given list of channels.

All operations on the stub logger are no-ops and all arguments are ignored

Parameters

  channels | The package of channels to disable

Definition at line 73 of file stub.hpp.

## dynamic_test()

bool websocketpp::log::stub::dynamic_test | ( | level |  | ) |

inline

Test whether a channel is dynamically enabled.

The stub logger has no channels so all arguments are ignored and dynamic_test always returns false.

Parameters

  channel | The package of channels to test

Definition at line 111 of file stub.hpp.

## set_channels()

void websocketpp::log::stub::set_channels | ( | level |  | ) |

inline

Dynamically enable the given list of channels.

All operations on the stub logger are no-ops and all arguments are ignored

Parameters

  channels | The package of channels to enable

Definition at line 64 of file stub.hpp.

## static_test()

_WEBSOCKETPP_CONSTEXPR_TOKEN_ bool websocketpp::log::stub::static_test | ( | level |  | ) | const

inline

Test whether a channel is statically enabled.

The stub logger has no channels so all arguments are ignored and static_test always returns false.

Parameters

  channel | The package of channels to test

Definition at line 100 of file stub.hpp.

## write() [1/2]

void websocketpp::log::stub::write | ( | level | ,
|  | char const * | )

inline

Write a cstring message to the given channel.

Writing on the stub logger is a no-op and all arguments are ignored

Parameters

  channel | The channel to write to
  msg | The message to write

Definition at line 91 of file stub.hpp.

## write() [2/2]

void websocketpp::log::stub::write | ( | level | ,
|  | std::string const & | )

inline

Write a string message to the given channel.

Writing on the stub logger is a no-op and all arguments are ignored

Parameters

  channel | The channel to write to
  msg | The message to write

Definition at line 82 of file stub.hpp.

The documentation for this class was generated from the following file:

- websocketpp/logger/stub.hpp